## gpick 0.2.5+git20161221

=== SConstruct ===
#!/usr/bin/env python

SConscript(['SConscript'], variant_dir='build', duplicate=0)

## gpick 0.2.3

=== debian/changelog ===
gpick (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #579617)
  * Switched to share expat library and avoid its internal library.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Thu, 11 Nov 2010 18:03:50 -0500

=== debian/control ===
Source: gpick
Section: graphics
Priority: optional
Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), scons, libcairo2 (>=1.6),
 libglib2.0-0 (>=2.16), libdbus-glib-1-dev (>=0.76), libgtk2.0-dev (>= 2.12),
 liblua5.1-0-dev (>= 5.1), libboost-dev, libexpat1-dev, lemon, flex
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/gpick/
Vcs-Git: git://git.debian.org/collab-maint/gpick.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gpick.git;a=summary

Package: gpick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced GTK+ color picker
 gpick is an advanced color picker used to pick colors from anywhere
 on the screen, mix them to  get new colors, generate shades and tints,
 and export palettes to common file formats or simply copy them
 to the clipboard.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

debian_destdir :=$(CURDIR)/debian/gpick/usr

%:
	dh $@ 

override_dh_clean:
	dh_testdir
	dh_testroot
	scons -c -C src
	find -name "*.pyc" -delete
	rm -f build-stamp configure-stamp
	rm -rf .sconsign.dblite config.log .sconf_temp/ build/
	dh_clean

override_dh_install:
	scons install DESTDIR=$(debian_destdir)
	rm -f $(debian_destdir)/share/doc/copyright
	rm -f $(debian_destdir)/share/man/man1/gpick.1

## gpick 0.2.4

=== debian/changelog ===
gpick (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.9.2
  * Bump debhelper compat to 8
  * Upstream fixed wrong color (Closes: #622964)
  * Updated debian/copyright under DEP-5 format.
  * Added '-Wl,--as-needed' flag into debian/rules.
  * 01_expat_dependency.patch: Updated.
  * 02_dsolink_expat.patch: Updated.

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Tue, 14 Jun 2011 13:44:26 -0500

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), scons, libcairo2 (>=1.6),
+Build-Depends: debhelper (>= 8.0.0), scons, libcairo2 (>=1.6),
  libglib2.0-0 (>=2.16), libdbus-glib-1-dev (>=0.76), libgtk2.0-dev (>= 2.12),
  liblua5.1-0-dev (>= 5.1), libboost-dev, libexpat1-dev, lemon, flex
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/gpick/
 Vcs-Git: git://git.debian.org/collab-maint/gpick.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gpick.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+LDFLAGS+=-Wl,--as-needed
 
 debian_destdir :=$(CURDIR)/debian/gpick/usr

=== debian/watch ===
version=3

http://googlecode.debian.net/p/gpick/gpick_(\d+.*)\.tar\.gz

## gpick 0.2.5

=== debian/changelog ===
gpick (0.2.5-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.9.4
  * Bump debhelper compat to 9
  * Enabled hardening build flags
  * debian/control
    + liblua5.2-dev instead liblua5.1-0-dev under Build-Depends
  * debian/watch
    + Updated path to match the new names of the source tarballs
  * debian/patches
    + Removed 01_expat_dependency.patch (Upstream has fixed)
    + Removed 02_dsolink_expat.patch (Upstream has included)
  * debian/copyright
    + Updated copyright format
  * debian/gpick.1
    + Included 2 new options for manpage file
  
 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 27 Mar 2013 09:13:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: graphics
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper (>= 8.0.0), scons, libcairo2 (>=1.6),
+Build-Depends: debhelper (>= 9.0.0), scons, libcairo2 (>=1.6),
  libglib2.0-0 (>=2.16), libdbus-glib-1-dev (>=0.76), libgtk2.0-dev (>= 2.12),
- liblua5.1-0-dev (>= 5.1), libboost-dev, libexpat1-dev, lemon, flex
-Standards-Version: 3.9.2
+ liblua5.2-dev (>= 5.2), libboost-dev, libexpat1-dev, lemon, flex, hardening-includes
+Standards-Version: 3.9.4
 Homepage: http://code.google.com/p/gpick/
 Vcs-Git: git://git.debian.org/collab-maint/gpick.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gpick.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
 
-LDFLAGS+=-Wl,--as-needed
+include /usr/share/hardening-includes/hardening.make
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+CFLAGS += $(HARDENING_CFLAGS)
+LDFLAGS += $(HARDENING_LDFLAGS)
+CXXFLAGS += $(HARDENING_CFLAGS)
 
 debian_destdir :=$(CURDIR)/debian/gpick/usr

=== debian/watch ===
version=3

http://code.google.com/p/gpick/downloads/list?can=1 .*/gpick_(\d[\d.]*)\.(?:tar\.gz)

## gpick 0.2.5%2Bgit20161221

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), scons, libcairo2 (>=1.6),
  libglib2.0-0 (>=2.16), libdbus-glib-1-dev (>=0.76), libgtk2.0-dev (>= 2.12),
- liblua5.2-dev (>= 5.2), libboost-dev, libexpat1-dev, lemon, flex, hardening-includes
-Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/gpick/
-Vcs-Git: git://git.debian.org/collab-maint/gpick.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gpick.git;a=summary
+ liblua5.2-dev (>= 5.2), libboost-dev, libexpat1-dev, lemon, flex, ragel, gettext,
+ libboost-test-dev, libboost-system-dev, libboost-filesystem-dev
+Standards-Version: 3.9.8
+Homepage: http://www.gpick.org
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/gpick.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gpick.git
 
 Package: gpick
 Architecture: any

## gpick 0.2.5+git20161017

=== debian/changelog ===
gpick (0.2.5+git20161017-1) unstable; urgency=medium

  * Imported Upstream Git snapshot 0.2.5+git20161017
  * Upstream fixed replacement of colors.txt
    because of license issues (Closes: #838414)
  * Updated debian/copyright
  * debian/patches
    + 01_reproducible_build.patch: Updated
  * debian/control
    + Add Build-Depends: ragel, gettext,libboost-test-dev,
      libboost-system-dev, libboost-filesystem-dev

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 17 Oct 2016 20:33:52 -0300

gpick (0.2.5-2) unstable; urgency=medium

  * Updated Standards-Version to 3.9.8
  * Updated hardening build flags (Closes: #836755)
  * debian/patches
    + 01_reproducible_build.patch (Closes: #831041)
      Thanks to Chris Lamb for the patch
    + 02_desktop_file.patch
      Updated desktop file entries
  * debian/control
    + Vcs-* fields updated for https:// usage
    + Homepage field updated
  * debian/watch
    + Updated for check new versions
  * debian/copyright
    + Updated format

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 18 Sep 2016 22:17:33 -0300

## gpick 0.2.5+git20161221

=== debian/changelog ===
gpick (0.2.5+git20161221-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:14:56 +0000

gpick (0.2.5+git20161221-1) unstable; urgency=medium

  * Imported Upstream Git snapshot 0.2.5+git20161221
  * debian/patches
    + 03_hurd_kfreebsd_ftbfs.patch (Closes: #843390)

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 26 Dec 2016 19:40:36 -0300

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 
-include /usr/share/hardening-includes/hardening.make
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
-CFLAGS += $(HARDENING_CFLAGS)
-LDFLAGS += $(HARDENING_LDFLAGS)
-CXXFLAGS += $(HARDENING_CFLAGS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
+LDFLAGS += -Wl,--as-needed
 
 debian_destdir :=$(CURDIR)/debian/gpick/usr

=== debian/watch ===
version=3

https://github.com/thezbyg/gpick/releases /thezbyg/gpick/archive/gpick-(\d[\d.]*).tar\.gz

## gpick 0.2.6~rc1

=== debian/changelog ===
gpick (0.2.6~rc1-4) unstable; urgency=medium

  * debian/control
    + Vcs-* fields update path

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 22 Apr 2020 15:52:39 -0500

gpick (0.2.6~rc1-3) unstable; urgency=medium

  * debian/tests
    + testsuite process with xvfb X server
  * debian/control
    + Remove libdbus-glib-1-dev under Build-Depends (Closes: #955844)
  * debian/salsa-ci
    + Add variables to customizing REPROTEST process
  * debian/patches
    + 07_environment_variable_version.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Tue, 07 Apr 2020 12:07:03 -0500

gpick (0.2.6~rc1-2) unstable; urgency=medium

  * Update Standards-Version to 4.5.0
  * debian/control
    + Add Rules-Requires-Root: no
  * debian/tests
    + Add to perform a simple test
  * debian/upstream
    + Add DEP-12 metadata
  * debian/salsa-ci
    + Add configuration file
  * debian/patches
    + 05_scons_python3.patch
    + 06_fix_python_indentation.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 23 Mar 2020 20:12:37 -0500

gpick (0.2.6~rc1-1) unstable; urgency=medium

  * New upstream release
  * Updated Standards-Version to 4.4.0.1
  * Bump compatibility debhelper 12
  * debian/copyright
    + Updated copyright years
    + Added share/appdata/gpick.appdata.xml
  * debian/control
    + Vcs-* fields updated
  * debian/watch
    + Updated for check new versions
  * debian/patches
    + 01_reproducible_build.patch: Updated
    + Removed 03_hurd_kfreebsd_ftbfs.patch (Upstream has included)
    + 04_appdata_file_path.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Sun, 08 Sep 2019 17:49:44 -0500

=== debian/control ===
Source: gpick
Section: graphics
Priority: optional
Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
Build-Depends: debhelper-compat (= 12), scons, libcairo2 (>=1.6),
 libglib2.0-0 (>=2.16), libgtk2.0-dev (>= 2.12), liblua5.2-dev (>= 5.2),
 libboost-dev, libexpat1-dev, lemon, flex, ragel, gettext,
 libboost-test-dev, libboost-system-dev, libboost-filesystem-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.gpick.org
Vcs-Git: https://salsa.debian.org/elias/gpick.git
Vcs-Browser: https://salsa.debian.org/elias/gpick

Package: gpick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced GTK+ color picker
 gpick is an advanced color picker used to pick colors from anywhere
 on the screen, mix them to  get new colors, generate shades and tints,
 and export palettes to common file formats or simply copy them
 to the clipboard.

=== debian/tests/control ===
Tests: version
Depends: gpick, xvfb, xauth
Restrictions: allow-stderr

## gpick 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(gpick)
option(ENABLE_NLS "compile with gettext support" true)
option(USE_GTK3 "use GTK3 instead of GTK2" true)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
file(GLOB SOURCES
	source/*.cpp source/*.h
	source/color_names/*.cpp source/color_names/*.h
	source/dbus/*.cpp source/dbus/*.h source/dbus/*.c
	source/gtk/*.cpp source/gtk/*.h
	source/i18n/*.cpp source/i18n/*.h
	source/layout/*.cpp source/layout/*.h
	source/lua/*.cpp source/lua/*.h
	source/tools/*.cpp source/tools/*.h
	source/transformation/*.cpp source/transformation/*.h
)
list(REMOVE_ITEM SOURCES source/Color.cpp source/Color.h source/MathUtil.cpp source/MathUtil.h source/lua/Script.cpp source/lua/Script.h)
include(Version)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/source/version/Version.cpp.in" "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/Version.cpp" @ONLY)
list(APPEND SOURCES "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/Version.cpp")
find_package(Boost 1.58 COMPONENTS filesystem system unit_test_framework REQUIRED)
find_package(PkgConfig)
if (PkgConfig_FOUND)
	if (USE_GTK3)
		pkg_check_modules(GTK3 gtk+-3.0>=3.0)
	else()
		pkg_check_modules(GTK2 gtk+-2.0>=2.24)
		pkg_check_modules(GioUnix gio-unix-2.0>=2.24)
	endif()
	pkg_search_module(Lua lua5.4>=5.4 lua5>=5.4 lua5.3>=5.3 lua5>=5.3 lua>=5.3 lua5.2>=5.2 lua>=5.2)
	pkg_check_modules(Expat expat>=1.0)
endif (PkgConfig_FOUND)
set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
find_package(Ragel 6.9 REQUIRED)

function(set_compile_options target)
	if (MSVC)
		target_compile_options(${target} PRIVATE /MD /utf-8)
		target_compile_options(${target} PRIVATE $<$<COMPILE_LANGUAGE:C>:/TP>)
		target_compile_definitions(${target} PRIVATE UNICODE GSEAL_ENABLE)
		if (ENABLE_NLS)
			target_compile_definitions(${target} PRIVATE ENABLE_NLS)
		endif()
	else()
		target_compile_options(${target} PRIVATE -Wall -Wfloat-conversion)
		target_compile_options(${target} PRIVATE $<$<COMPILE_LANGUAGE:CXX>:-std=c++14>)
		if (ENABLE_NLS)
			target_compile_definitions(${target} PRIVATE ENABLE_NLS "LOCALEDIR=${CMAKE_INSTALL_PREFIX}/share/locale")
		endif()
	endif()
endfunction()

function(add_gtk_options target)
	if (USE_GTK3)
		target_link_libraries(${target} PRIVATE
			${GTK3_LIBRARIES}
		)
		target_include_directories(${target} PRIVATE
			${GTK3_INCLUDE_DIRS}
		)
	else()
		target_link_libraries(${target} PRIVATE
			${GTK2_LIBRARIES}
			${GioUnix_LIBRARIES}
		)
		target_include_directories(${target} PRIVATE
			${GTK2_INCLUDE_DIRS}
			${GioUnix_INCLUDE_DIRS}
		)
	endif()
endfunction()

file(GLOB MATH_SOURCES source/MathUtil.cpp source/MathUtil.h)
add_library(gpick-math ${MATH_SOURCES})
set_compile_options(gpick-math)
target_include_directories(gpick-math PRIVATE
	source
	${Boost_INCLUDE_DIRS}
)

file(GLOB COLOR_SOURCES source/Color.cpp source/Color.h)
add_library(gpick-color ${COLOR_SOURCES})
set_compile_options(gpick-color)
target_link_libraries(gpick-color PRIVATE gpick-math)
target_include_directories(gpick-color PRIVATE
	source
	${Boost_INCLUDE_DIRS}
)

file(GLOB COMMON_SOURCES source/common/*.cpp source/common/*.h)
add_library(gpick-common ${COMMON_SOURCES})
set_compile_options(gpick-common)
target_include_directories(gpick-common PRIVATE
	source
	${Boost_INCLUDE_DIRS}
)

file(GLOB DYNV_SOURCES source/dynv/*.cpp source/dynv/*.h)
add_library(gpick-dynv ${DYNV_SOURCES})
set_compile_options(gpick-dynv)
target_link_libraries(gpick-dynv PRIVATE gpick-color)
target_include_directories(gpick-dynv PRIVATE
	source
	${Expat_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}
)

file(GLOB LUA_SOURCES source/lua/Script.cpp source/lua/Script.h)
add_library(gpick-lua ${LUA_SOURCES})
set_compile_options(gpick-lua)
target_link_libraries(gpick-lua PRIVATE
	${Lua_LIBRARIES}
)
target_include_directories(gpick-lua PRIVATE
	source
	${Lua_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}
)

file(GLOB PARSER_SOURCES source/parser/*.cpp source/parser/*.h)
ragel_target(text_file_parser source/parser/TextFileParser.rl ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/TextFileParser.cpp)
list(APPEND PARSER_SOURCES ${RAGEL_text_file_parser_OUTPUTS})
add_library(gpick-parser ${PARSER_SOURCES})
set_compile_options(gpick-parser)
target_include_directories(gpick-parser PRIVATE
	source
	${Boost_INCLUDE_DIRS}
)

if (ENABLE_NLS)
	find_package(Gettext REQUIRED)
	file(GLOB TRANSLATIONS share/locale/*/LC_MESSAGES/gpick.po)
	foreach(translation ${TRANSLATIONS})
		file(RELATIVE_PATH name "${CMAKE_CURRENT_SOURCE_DIR}" ${translation})
		get_filename_component(dir ${name} DIRECTORY)
		msgfmt_target(translation ${translation} ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${dir}/gpick.mo)
		set(MSGFMT_translation_COMPILE_FLAGS "--check-format --check-domain")
		list(APPEND TRANSLATION_FILES ${MSGFMT_translation_OUTPUTS})
	endforeach()
	add_custom_target(translations ALL DEPENDS ${TRANSLATION_FILES})
	file(GLOB LUA_SOURCES share/gpick/*.lua)
	add_custom_target(template
		COMMAND ${XGETTEXT_EXECUTABLE} --keyword=_ --keyword=N_ --from-code=UTF-8 --package-name=gpick --package-version=0.0 --output=${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/template_c.pot ${SOURCES}
		COMMAND ${XGETTEXT_EXECUTABLE} --language=C++ --keyword=_ --keyword=N_ --from-code=UTF-8 --package-name=gpick --package-version=0.0 --output=${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/template_lua.pot ${LUA_SOURCES}
		COMMAND ${MSGCAT_EXECUTABLE} --use-first ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/template_c.pot ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/template_lua.pot --output-file=${CMAKE_CURRENT_BINARY_DIR}/template.pot
	)
endif()

add_executable(gpick ${SOURCES})
set_compile_options(gpick)
add_gtk_options(gpick)
target_link_libraries(gpick PRIVATE
	gpick-color
	gpick-math
	gpick-dynv
	gpick-lua
	gpick-parser
	gpick-common
	${Boost_FILESYSTEM_LIBRARY}
	${Boost_SYSTEM_LIBRARY}
	${Lua_LIBRARIES}
	${Expat_LIBRARIES}
	Threads::Threads
)
target_include_directories(gpick PRIVATE
	source
	${Boost_INCLUDE_DIRS}
	${Lua_INCLUDE_DIRS}
	${Expat_INCLUDE_DIRS}
)

file(GLOB TESTS_SOURCES source/test/*.cpp source/test/*.h)
add_executable(tests ${TESTS_SOURCES})
set_compile_options(tests)
target_compile_definitions(tests PRIVATE BOOST_TEST_DYN_LINK)
target_link_libraries(tests PRIVATE
	gpick-color
	gpick-math
	gpick-dynv
	gpick-lua
	gpick-parser
	gpick-common
	${Boost_UNIT_TEST_FRAMEWORK_LIBRARY}
	${Lua_LIBRARIES}
	${Expat_LIBRARIES}
	Threads::Threads
)
target_include_directories(tests PRIVATE
	source
	${Boost_INCLUDE_DIRS}
	${Lua_INCLUDE_DIRS}
	${Expat_INCLUDE_DIRS}
)

install(TARGETS gpick DESTINATION bin)
install(FILES share/metainfo/gpick.appdata.xml DESTINATION share/metainfo)
install(FILES share/applications/gpick.desktop DESTINATION share/applications)
install(FILES share/mime/packages/gpick.xml DESTINATION share/mime/packages)
install(FILES share/doc/gpick/copyright DESTINATION share/doc/gpick)
install(FILES share/man/man1/gpick.1 DESTINATION share/man/man1)
file(GLOB RESOURCE_FILES share/gpick/*.png share/gpick/*.lua share/gpick/*.txt)
install(FILES ${RESOURCE_FILES} DESTINATION share/gpick)
install(DIRECTORY share/icons DESTINATION share)
if (ENABLE_NLS)
	foreach(translation ${TRANSLATION_FILES})
		file(RELATIVE_PATH name "${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}" ${translation})
		get_filename_component(dir ${name} DIRECTORY)
		install(FILES ${translation} DESTINATION ${dir})
	endforeach()
endif()

=== SConstruct ===
#!/usr/bin/env python
SConscript(['SConscript'], variant_dir = 'build', duplicate = 0)

=== installer/Makefile ===

VERSION_FULL=$(shell python -c 'import getversion; getversion.getversion("full")')
VERSION=$(shell python -c 'import getversion; getversion.getversion("ms")')
MSI=gpick_$(VERSION_FULL)

HEAT_SRCS=gpick_files.xstl gtk_files.xstl
SRCS=gpick.wxs $(HEAT_SRCS:.xstl=.wxs)
OBJS=$(SRCS:.wxs=.wixobj)
CANDLE=candle.exe
LIGHT=light.exe
HEAT=heat.exe

HEAT_FLAGS=-ag -dr INSTALLDIR -suid -srd -var var.FilePath
FLAGS=-dFilePath=files -dVersionFull=$(VERSION_FULL) -dVersion=$(VERSION)
LIGHT_FLAGS=-ext WixUtilExtension -ext WixUIExtension $(FLAGS)
CANDLE_FLAGS=$(FLAGS)

DEPFILES= files/Gpick.exe

.SUFFIXES: .wxs .wixobj .xstl

all: $(MSI).msi
  
$(MSI).msi: $(OBJS) $(DEPFILES) $(HEAT_SRCS)
	$(LIGHT) -nologo $(LIGHT_FLAGS) -out $@ $(OBJS)

.xstl.wxs:
	$(HEAT) dir "files" -nologo $(HEAT_FLAGS) -cg C.Files.$(<:.xstl=) -t $< -out $@

.wxs.wixobj:
	$(CANDLE) -nologo $(CANDLE_FLAGS) -out $@ $^

clean:
	$(RM) $(MSI).msi $(OBJS)

install: $(MSI).msi
	$(RM) install.log
	msiexec -i $(MSI).msi -l*v install.log

uninstall:
	msiexec -x $(MSI).msi

=== debian/changelog ===
gpick (0.2.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112974)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Oct 2025 12:56:29 +0200

gpick (0.2.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: build depend on -dev packages instead of shared libraries
    (Closes: #1067676)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 14 Apr 2024 13:17:18 +0200

gpick (0.2.6-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.5.1
  * debian/copyright
    + Update copyright years
    + Update path to share/metainfo/gpick.appdata.xml
  * debian/rules
    + Remove debian/destdir variable
    + Remove override_dh_clean
    + Remove override_dh_install
  * debian/control
    + Switch build system to cmake instead of scons
    + Switch to libgtk-3-dev (Closes: #967450)
    + Switch to liblua5.4-dev (Closes: #981150)
  * debian/patches
    + Remove 01_reproducible_build.patch (Because of use of cmake)
    + Remove 02_desktop_file.patch (Upstream has included)
    + Remove 04_appdata_file_path.patch (Upstream has included)
    + Remove 05_scons_python3.patch (Upstream has included)
    + Remove 06_fix_python_identation.patch (Because of use of cmake)
    + Remove 07_environment_variable_version.patch (Upstream has included)
    + Remove 08_reproducible_buildpath.patch (Because of use of cmake)

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Mon, 11 Jan 2021 19:33:16 -0500

gpick (0.2.6~rc1-5) unstable; urgency=medium

  * Fix definition of LOCALEDIR variable (Closes: #956591)
  * Declare autopkgtest as superficial (Closes: #971472)
  * Bump compatibility debhelper 13
  * Add lintian override regarding documentation-outside-usr-share-doc
  * debian/salsa-ci
    + Enable atomic reprotest
  * debian/patches
    + 08_reproducible_buildpath.patch

 -- Elías Alejandro Año Mendoza <ealmdz@gmail.com>  Wed, 21 Oct 2020 16:25:33 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: graphics
 Priority: optional
 Maintainer: Elías Alejandro Año Mendoza <ealmdz@gmail.com>
-Build-Depends: debhelper-compat (= 12), scons, libcairo2 (>=1.6),
- libglib2.0-0 (>=2.16), libgtk2.0-dev (>= 2.12), liblua5.2-dev (>= 5.2),
+Build-Depends: debhelper-compat (= 13), cmake, libcairo2-dev (>=1.6),
+ libglib2.0-dev (>=2.16), libgtk-3-dev, liblua5.4-dev (>= 5.4),
  libboost-dev, libexpat1-dev, lemon, flex, ragel, gettext,
  libboost-test-dev, libboost-system-dev, libboost-filesystem-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.gpick.org
 Vcs-Git: https://salsa.debian.org/elias/gpick.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)
LDFLAGS += -Wl,--as-needed


%:
	dh $@

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc)([\d\.+])/~$1$2/ \
  https://github.com/thezbyg/gpick/releases /thezbyg/gpick/archive/gpick-(\d\S+)\.tar\.gz
